package client_handlers

import (
	"cpone/utils"
	client_mdpasien "cpone/views/client/mdpasien"

	"github.com/labstack/echo/v4"
)

type MdPasienService interface {
}

func NewMdPasienHandler(us MdPasienService) *MdPasienHandler {
	return &MdPasienHandler{
		MdPasienService: us,
	}
}

type MdPasienHandler struct {
	MdPasienService MdPasienService
}

func (uh *MdPasienHandler) ShowMdPasien(c echo.Context) error {
	helo := client_mdpasien.Show()
	return utils.View(c, helo)
}
